### Enumeration

# Qmi NasDLBandwidth

since: 1.16

#### Declaration

    enum Qmi.NasDLBandwidth

#### Description [src]

DL Bandwidth.

Available since: 1.16

#### Members

`QMI_NAS_DL_BANDWIDTH_1_4`

  LTE 1.4 MHz.

  - Value: `0`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_3`

  LTE 3 MHz.

  - Value: `1`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5`

  LTE 5 MHz.

  - Value: `2`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_10`

  LTE 10 MHz.

  - Value: `3`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_15`

  LTE 15 MHz.

  - Value: `4`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_20`

  LTE 20 MHz.

  - Value: `5`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_5`

  5G NR 5MHz. Since 1.36.

  - Value: `6`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_10`

  5G NR 10MHz. Since 1.36.

  - Value: `7`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_15`

  5G NR 15MHz. Since 1.36.

  - Value: `8`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_20`

  5G NR 20MHz. Since 1.36.

  - Value: `9`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_25`

  5G NR 25MHz. Since 1.36.

  - Value: `10`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_30`

  5G NR 30MHz. Since 1.36.

  - Value: `11`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_40`

  5G NR 40MHz. Since 1.36.

  - Value: `12`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_50`

  5G NR 50Mhz. Since 1.36.

  - Value: `13`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_60`

  5G NR 60MHz. Since 1.36.

  - Value: `14`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_80`

  5G NR 80MHz. Since 1.36.

  - Value: `15`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_90`

  5G NR 90MHz. Since 1.36.

  - Value: `16`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_100`

  5G NR 100MHz. Since 1.36.

  - Value: `17`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_200`

  5G NR 200MHz. Since 1.36.

  - Value: `18`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_400`

  5G NR 400MHz. Since 1.36.

  - Value: `19`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_GSM_02`

  GSM 0.2MHz. Since 1.36.

  - Value: `20`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_TDSCDMA_16`

  TD-SCDMA 1.6MHz. Since 1.36.

  - Value: `21`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_WCDMA_5`

  WCDMA 5MHz. Since 1.36.

  - Value: `22`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_WCDMA_10`

  WCDMA 10MHz. Since 1.36.

  - Value: `23`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_5GNR_70`

  5G NR 70MHz. Since 1.36.

  - Value: `24`
  - Available since: 1.16
`QMI_NAS_DL_BANDWIDTH_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.16

#### Type functions

###### qmi_nas_dl_bandwidth_get_string

Gets the nickname string for the `QmiNasDLBandwidth` specified at `val`.

since: 1.16